<?php
	if ($auth->userdata["acclevel"] < 80) die ("Access denied!");

	$edlist = new EditList("id", "hlstats_Actions", "game");
	$edlist->columns[] = new EditListColumn("game", "Game", 0, true, "hidden", $gamecode);
	$edlist->columns[] = new EditListColumn("code", "Action Code", 15, true, "text", "", 64);
	$edlist->columns[] = new EditListColumn("for_PlayerActions", "Player Action", 0, false, "checkbox");
	$edlist->columns[] = new EditListColumn("for_PlayerPlayerActions", "PlyrPlyr Action", 0, false, "checkbox");
	$edlist->columns[] = new EditListColumn("for_TeamActions", "Team Action", 0, false, "checkbox");
	$edlist->columns[] = new EditListColumn("for_WorldActions", "World Action", 0, false, "checkbox");
	$edlist->columns[] = new EditListColumn("reward_player", "Player Points Reward", 4, false, "text", "0");
	$edlist->columns[] = new EditListColumn("reward_team", "Team Points Reward", 4, false, "text", "0");
	$edlist->columns[] = new EditListColumn("team", "Team", 0, false, "select", "hlstats_Teams.name/code/game='$gamecode'");
	$edlist->columns[] = new EditListColumn("description", "Action Description", 23, true, "text", "", 128);
	
	
	if ($HTTP_POST_VARS)
	{
		if ($edlist->update())
			message("success", "Operation successful.");
		else
			message("warning", $edlist->error());
	}
	
?>

You can make an action map-specific by prepending the map name and an underscore to the Action Code. For example, if the map "<b>rock2</b>" has an action "<b>goalitem</b>" then you can either make the action code just "<b>goalitem</b>" (in which case it will match all maps) or you can make it "<b>rock2_goalitem</b>" to match only on the "rock2" map.<p>

<?php
	
	$result = $db->query("
		SELECT
			id,
			code,
			reward_player,
			reward_team,
			team,
			description,
			for_PlayerActions,
			for_PlayerPlayerActions,
			for_TeamActions,
			for_WorldActions
		FROM
			hlstats_Actions
		WHERE
			game='$gamecode'
		ORDER BY
			code ASC
	");
	
	$edlist->draw($result);
?>

<table width="75%" border=0 cellspacing=0 cellpadding=0>
<tr>
	<td align="center"><input type="submit" value="  Apply  " class="submit"></td>
</tr>
</table>

